Skip to main content
GET
/
api
/
v1
/
notification-dispatches
List all dispatches for an incident
curl --request GET \
  --url https://api.devhelm.io/api/v1/notification-dispatches \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.devhelm.io/api/v1/notification-dispatches"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.devhelm.io/api/v1/notification-dispatches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "incidentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "policyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "currentStep": 123,
      "deliveries": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "incidentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "channelId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "channel": "<string>",
          "channelType": "<string>",
          "stepNumber": 123,
          "fireCount": 123,
          "attemptCount": 123,
          "createdAt": "2023-11-07T05:31:56Z",
          "dispatchId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "lastAttemptAt": "2023-11-07T05:31:56Z",
          "nextRetryAt": "2023-11-07T05:31:56Z",
          "deliveredAt": "2023-11-07T05:31:56Z",
          "errorMessage": "<string>"
        }
      ],
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "policyName": "<string>",
      "totalSteps": 123,
      "acknowledgedAt": "2023-11-07T05:31:56Z",
      "nextEscalationAt": "2023-11-07T05:31:56Z",
      "lastNotifiedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "hasNext": true,
  "hasPrev": true,
  "totalElements": 123,
  "totalPages": 123
}
{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}
{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}
{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}
{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}
{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}
{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}
{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}
{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}

Authorizations

Authorization
string
header
required

API key (dh_live_...) or Auth0 JWT token

Query Parameters

incident_id
string<uuid>
required

UUID of the incident to inspect

Response

OK

data
object[]
required
hasNext
boolean
required
hasPrev
boolean
required
totalElements
integer<int64> | null
totalPages
integer<int32> | null